---
id: lora
title: LILYGO® TTGO Lora devices
sidebar_label: LILYGO® Lora
---

## Lora V1

- ESP32 - Wifi & Bluetooth
- SX1276 - LoRa Transceiver
- Frequency options:
  - 868 MHz
  - 915 MHz
- Built in 0.96 inch OLED display
- U.FL antenna connector
- Reset and Program switches
- No GPS

- Firmware file: `firmware-tlora-v1-1.x.x.bin`
- [Purchase link](https://www.aliexpress.com/item/32840238513.html)

[<img alt="LILYGO® TTGO Lora V1" src="/img/hardware/lora-v1.png" style={{zoom:'25%'}} />](/img/hardware/lora-v1.png)


## Lora V1.3

- ESP32 - Wifi & Bluetooth
- SX127x - LoRa Transceiver
- Frequency options:
  - 868 MHz
  - 915 MHz
- Built in 0.96 inch OLED display
- U.FL antenna connector
- Reset and Program switches
- No GPS

- Firmware file: `firmware-tlora_v1_3-1.x.x.bin`
- [Purchase link](https://www.aliexpress.com/item/4000628100802.html)

[<img alt="LILYGO® TTGO Lora V1.3" src="/img/hardware/lora-v1.3.png" style={{zoom:'25%'}} />](/img/hardware/lora-v1.3.png)
[<img alt="LILYGO® TTGO Lora V1.3 pin map" src="/img/hardware/lora-v1.3_pinmap.webp" style={{zoom:'25%'}} />](/img/hardware/lora-v1.3_pinmap.webp)

## Lora V2.0

- ESP32 - Wifi & Bluetooth
- SX127x - LoRa Transceiver
- Frequency options:
  - 433 MHz
  - 868 MHz
  - 915 MHz
- Built in 0.96 inch OLED display
- U.FL antenna connector
- Power and Reset switches
- microSD connector
- No GPS

- Firmware file: `firmware-tlora-v2-1.x.x.bin`
- [Purchase link](https://www.aliexpress.com/item/32846302183.html)

[<img alt="LILYGO® TTGO Lora V2" src="/img/hardware/lora-v2.0.png" style={{zoom:'25%'}} />](/img/hardware/lora-v2.0.png)


## Lora V2.1-1.6

- ESP32 - Wifi & Bluetooth
- SX127x - LoRa Transceiver
- Frequency options:
  - 433 MHz
  - 868 MHz
  - 915 MHz
- Built in 0.96 inch OLED display
- SMA antenna connector
- Power and Reset switches
- microSD connector
- No GPS

- Firmware file: `firmware-tlora-v2-1-1.6-1.x.x.bin`
- [Purchase link](https://www.aliexpress.com/item/32915894264.html)

:::warning
Some of these boards contained the wrong component in the LiPo battery charging circuit allowing the battery to be overcharged. While this does appear to have been fixed recently, please see the [warning](https://www.thethingsnetwork.org/community/berlin/post/warning-attention-users-of-ttgo21-v16-boards-labeled-t3_v16-on-pcb-battery-exploded-and-got-on-fire) on The Things Network for more information.
:::

[<img src="/img/hardware/lora-v2.1-1.6.png" alt="LILYGO® TTGO Lora V2.1-1.6" style={{zoom:'25%'}} />](/img/hardware/lora-v2.1-1.6.png)
